Opened 9 years ago

Closed 9 years ago

Last modified 3 years ago

#838 closed Task (fixed)

Create new branch for 2011 developments on Griffies operator (NOCS)

Reported by: acc Owned by: acc
Priority: low Milestone:
Component: OCE Version: release-3.3
Severity: Keywords: 2011
Cc: Review:
MP ready?:
Progress:

Description

NOCS 6 - Lateral ocean physics and TOP: Griffies operator for passive tracers

The Griffies's implementation of the Gent and McWilliams eddy transport as a skew flux was implemented in 2010. This has the advantage that its numerical discretization can be written in terms of contributions from quarter cells – ‘triads’. This gives a tighter stencil, disallowing 2-gridpoint numerical noise that is permitted by the advective discretization. Following the the merge of TRA-TRC advection schemes that also occurred in 2010, the Griffies operator can now be tidied and extended to work with passive tracers.

Commit History (3)

ChangesetAuthorTimeChangeLog
2969acc2011-10-20T18:00:23+02:00

branches/2011/dev_r2782_NOCS_Griffies ticket #838. Final style changes and removal of outdated comments

2840agn2011-09-15T14:38:15+02:00

branches/2011/dev_r2782_NOCS_Griffies ticket #838 bugfixes + preliminary support for s-coords

2783acc2011-06-16T15:15:06+02:00

branch for NOCS.6 Lateral ocean physics and TOP development, see ticket #838

Change History (10)

comment:1 Changed 9 years ago by agn

Various bugfixes of griffies code already in v3.3.1
calculates ratio alpha/beta in eosbn.F90 (gm)
Preliminary support for s-coordinates, tested in idealised 2D, testing underway in 3D
beginnings of TOP support (untested)

Works with additional namelist options

ln_triad_iso = .false. ! If true, isoneutral diffusivity in the ML is solely lateral (slower)
ln_grad_zps = .false. ! special treatment for Horz Tgradients w partial steps. Best set=.false.
ln_grad_zps = .false. ! extra lateral mixing on bottom

comment:2 Changed 9 years ago by acc

  • Resolution set to fixed
  • Status changed from new to closed

Completed. Merged as part of the 2011 general merge. Now part of the upcoming 3.4 release.

comment:3 Changed 4 years ago by nicolasmartin

  • Keywords 2011 New Stream features added

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords new added; New removed

comment:5 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3* added

comment:6 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3_1 added; Stream features new removed

comment:7 Changed 4 years ago by nicolasmartin

  • Milestone 2011 Stream 3: New features deleted

Milestone 2011 Stream 3: New features deleted

comment:8 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3_1 removed

comment:9 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:10 Changed 3 years ago by nemo

  • Keywords nemo_v3_3* removed
Note: See TracTickets for help on using tickets.